CFLAGS = `pkg-config libglade-2.0 --cflags`
LIBS = `pkg-config libglade-2.0 --libs` `pkg-config --cflags --libs gtk+-2.0 gthread-2.0` 
#`gtk-config --cflags --libs gthread`
#`pkg-config --cflags --libs gtk+-2.0 gthread-2.0`

VERSION=003

CFLAGSWIN = `pkg-config libglade-2.0 --cflags`
LIBSWIN = `pkg-config libglade-2.0 --libs`


gtkbasic: 
	gcc -lm main.c -ogtkbasic$(VERSION) $(CFLAGS) $(LIBS) -I/usr/X11R6/include -L/usr/X11R6/lib -lSM -lICE -lX11 -lXmu -lpthread
	strip gtkbasic$(VERSION)
	upx gtkbasic$(VERSION)


install:
	cp gtkbasic$(VERSION) /usr/bin/

test:
	./testgins.pb

windows:

	gcc -lm main.c -ogtkbasic$(VERSION) $(CFLAGS) $(LIBS) 

